# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():

    name_pypi = "pip"

    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()


    data = requests.get(f'https://pypi.org/pypi/%s/json' % name_pypi, headers = {'Accept': 'application/json'},proxies=proxies).json()['releases']
    version = None
    for i in sorted(data,key=lambda p: (Version(p)),reverse=True):
        if 'dev' in i.lower() or 'rc' in i.lower() or "alpha" in i.lower() or "beta" in i.lower():
            continue
        if version :
            break
        for o in data[i]:
            if o['yanked']:
                continue
            url = o['url']
            if url.endswith('.whl'):
                download_url = url
                version = i
                sumsha256 = o['digests']['sha256']
                break

    whl = download_url.split('/')[-1]

    for f in glob.glob('*.whl'):
        if f != whl:
            remove_file(f)

    wget(download_url,whl,sha256=sumsha256,proxies=proxies)

    control.set_software_version(version)
    control.save_control_to_wapt()


